import { DeepClient } from '@deep-foundation/deeplinks/imports/client';
/**
 * Inserts a test link that is handled by the handler of this package to run tests for [logger](https://github.com/deep-foundation/logger) package
 *
 * @example
 * #### Insert a test link
```ts
await insertTest({
  deep,
  containerLinkId
})
```
 */
export declare function insertTest(param: InsertTestParam): Promise<InsertTestResult>;
export interface InsertTestParam {
    /**
     * DeepClient instance
     */
    deep: DeepClient;
    /**
     * An if of a link where the test link will be contained
     */
    containerLinkId?: number | null;
}
export interface InsertTestResult {
    /**
     * An id of the test link
     */
    testLinkId: number;
}
